
Manifold-Interface Amplitude Panning Suite (MIAP)
=======

Developed by Zachary Seldess

Contact
-------
* zseldess@gmail.com

MIAP Website
-------
* http://www.zacharyseldess.com/miap

MIAP (Manifold-Interface Amplitude Panning) is a suite of externals that provides a new implementation of Meyer Sound’s SpaceMap(R) abstract spatialization software.

Objects included:
* MIAP~: MSP version of manifold-interface amplitude panner
* MIAP: Max version of manifold-interface amplitude panner
* MIAP.map:  GUI external for [MIAP] and [MIAP~]
* MIAP.meyer: Utility Max external for converting Meyer’s Matrix-3 and D-Mitri project files to MIAP-native JSON map files.

See LICENSE file for terms of use.

Attribution
-------
The MIAP MaxMSP object suite is based on Meyer Sound's SpaceMap(R) multi-channel panning feature of CueStation. SpaceMap and CueStation are trademarks of Meyer Sound Laboratories, Incorporated.

Installation
-------
Place the MIAP_for_MAX folder in your Max 8/packages directory. Restart Max.

System Requirements
-------
* macOS 10.14.6 and later
* Testing on Windows 10+
* Tested on Max 8

Useful Links
-------
Meyer Sound’s SpaceMap Application (CueStation software):
    https://meyersound-partners.force.com/websitesso/s/login

*NOTE: If you have never used CueStation before and only want to author maps with it, changing the name of the software from CueStation to SpaceMap will expose only the essential SpaceMap authoring interface, hiding other unnecessary features.*

Steve Ellison’s 2013 article on the evolution of SpaceMap in “Lighting and Sound America”:
    https://www.meyersound.com/news/2013/steve_ellison_spacemap/
